// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
    event.remove({ id: 'morerelics:made_in_heaven' })
    event.remove({ id: 'morerelics:king_crimson' })
    event.remove({ id: 'terramity:prismatic_jewel' })
    event.remove({ id: 'enigmaticlegacy:the_cube' })
    event.remove({ id: 'lethality:starlight' })
    event.remove({ output: 'enigmaticlegacy:the_cube' })
    event.remove({ output: 'ancient_elements:aeonite_helmet' })
    event.remove({ output: 'ancient_elements:aeonite_chestplate' })
    event.remove({ output: 'ancient_elements:aeonite_leggings' })
    event.remove({ output: 'ancient_elements:aeonite_boots' })
    event.remove({ output: 'lethality:vehemence' })
    event.remove({ output: 'terramity:prismatic_jewel' })
    event.remove({ output: 'lethality:violence' })
    event.remove({ output: 'lethality:hf_meowrasama' })
    event.remove({ output: 'terramity:sacred_speed_bracelets' })
    event.remove({ output: 'brutality:blade_of_the_ruined_king' })
    event.remove({ output: 'lethality:real_knife' })
    event.remove({ output: 'explorerscompass:explorerscompass' })
    event.remove({ output: 'enigmaticlegacy:enigmatic_elytra' })
    event.remove({ output: 'enigmaticaddons:etherium_core' })

    event.remove({ id: 'tiered:galena_chunk' })
    event.remove({ output: 'tiered:galena_chunk' })

    event.remove({ id: 'brutality:gluttony' })
    event.remove({ output: 'brutality:gluttony' })

    event.remove({ id: 'tiered:pyrite_chunk' })
    event.remove({ output: 'tiered:pyrite_chunk' })
});

ServerEvents.recipes(event => {
    event.shaped('morerelics:made_in_heaven', [
      'abb',
      'cdc',
      'bba'
    ], {
      a: 'cataclysm:ignitium_ingot',
      b: 'minecraft:nether_star',
      c: 'ancient_elements:alloy_of_elements',
      d: 'forbidden_arcanus:dark_nether_star',
    });
    event.shaped('morerelics:king_crimson', [
      'abc',
      'def',
      ' h '
    ], {
      a: 'terramity:hellspec_alloy',
      b: 'armageddon_mod:bloody_block',
      c: 'terramity:hellspec_alloy',
      d: 'armageddon_mod:bloody_block',
      e: 'kubejs:black_crimson',
      f: 'armageddon_mod:bloody_block',
      h: 'terramity:hellspec_alloy',
    });
    event.shaped(
    Item.of('enigmaticaddons:etherium_core'),
    [
        'ABA',
        'CDE',
        'AFA'
    ],
    {
        E: 'enigmaticlegacy:etherium_leggings',
        A: 'enigmaticlegacy:ender_rod',
        C: 'enigmaticlegacy:etherium_chestplate',
        D: 'enigmaticlegacy:golem_heart',
        F: 'composite_material:etherite_ingot',
        B: 'ancient_elements:spectrillium_ingot'
    }
)
});